// Height Menu

var stepOneHighlightShape;
var stepTwoHighlightShape; 
var stepThreeHighlightShape;
var stepFourHighlightShape;
var stepFiveHighlightShape;
var stepSixHighlightShape;
var stepSevenHighlightShape;
var stepEightHighlightShape;
var stepNineHighlightShape;
var stepTenHighlightShape;
var stepElevenHighlightShape;

var twentyButtonShape;
var thirtyButtonShape;
var fortyButtonShape;
var fiftyButtonShape;
var sixtyButtonShape;
var seventyButtonShape;
var eightyButtonShape;
var ninetyButtonShape;
var hundredButtonShape;
var hundredTenButtonShape;

function RT_HeightMenu(){
  var heightMenu = new createjs.Container();

  var triarcLogo = new createjs.Bitmap("assets/TriArcLogo.jpg");
  triarcLogo.x = -390;
  triarcLogo.y = 720;
  heightMenu.addChild(triarcLogo);

  if(VENDOR)
  {
    var graingerLogo = new createjs.Bitmap("assets/GraingerLogo.jpg");
    graingerLogo.x = 160;
    graingerLogo.y = 720;
    heightMenu.addChild(graingerLogo);
  }

  var udesignLogo = new createjs.Bitmap("assets/UDesignLogo.jpg");
  udesignLogo.x = -178;
  udesignLogo.y = 30;
  heightMenu.addChild(udesignLogo);

  var udesignLogoBorder = new createjs.Shape();
  udesignLogoBorder.graphics.beginStroke("#e17a0f").drawRoundRect(-184,20,368,110,5);
  heightMenu.addChild(udesignLogoBorder);

  var heightInstructionText = new createjs.Text("Select a Ladder", "30px sans-serif", "#444");
  heightInstructionText.textAlign = "center";
  heightInstructionText.x = 200;
  heightInstructionText.y = 220;

  heightMenu.addChild(heightInstructionText);

  var ladderPictureContainer = new createjs.Container();
  ladderPictureContainer.x = -350;
  ladderPictureContainer.y = 140;
  heightMenu.addChild(ladderPictureContainer);

  var ladderPicture = new createjs.Bitmap("assets/rooftopSelectLadder.png");
  ladderPictureContainer.addChild(ladderPicture);

  var twentyButton = new createjs.Container();
  twentyButton.x = 50;
  twentyButton.y = 560;

  heightMenu.addChild(twentyButton);

  twentyButtonShape = new createjs.Shape();
  twentyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  twentyButton.addChild(twentyButtonShape);

  var twentyButtonText = new createjs.Text("2 Step Ladder\n20\" Platform Height / 17.5\" Clearance", "16px sans-serif", "#fff");
  twentyButtonText.textAlign = "center";
  twentyButtonText.y = 2;
  twentyButtonText.x = 150;
  twentyButton.addChild(twentyButtonText);

  var twentyButtonHelper = new createjs.ButtonHelper(twentyButton);
  twentyButton.addEventListener("mouseover", handleTwentyButtonMouseOver);
  twentyButton.addEventListener("mouseout", handleTwentyButtonMouseOut);
  twentyButton.addEventListener("click", handleTwentyButtonClick);

  var thirtyButton = new createjs.Container();
  thirtyButton.x = 50;
  thirtyButton.y = 500;

  heightMenu.addChild(thirtyButton);

  thirtyButtonShape = new createjs.Shape();
  thirtyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  thirtyButton.addChild(thirtyButtonShape);

  var thirtyButtonText = new createjs.Text("3 Step Ladder\n30\" Platform Height / 27.5\" Clearance", "16px sans-serif", "#fff");
  thirtyButtonText.textAlign = "center";
  thirtyButtonText.y = 2;
  thirtyButtonText.x = 150;
  thirtyButton.addChild(thirtyButtonText);

  var thirtyButtonHelper = new createjs.ButtonHelper(thirtyButton);
  thirtyButton.addEventListener("mouseover", handleThirtyButtonMouseOver);
  thirtyButton.addEventListener("mouseout", handleThirtyButtonMouseOut);
  thirtyButton.addEventListener("click", handleThirtyButtonClick);

  var fortyButton = new createjs.Container();
  fortyButton.x = 50;
  fortyButton.y = 440;

  heightMenu.addChild(fortyButton);

  fortyButtonShape = new createjs.Shape();
  fortyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  fortyButton.addChild(fortyButtonShape);

  var fortyButtonText = new createjs.Text("4 Step Ladder\n40\" Platform Height / 37.5\" Clearance", "16px sans-serif", "#fff");
  fortyButtonText.textAlign = "center";
  fortyButtonText.y = 2;
  fortyButtonText.x = 150;
  fortyButton.addChild(fortyButtonText);

  var fortyButtonHelper = new createjs.ButtonHelper(fortyButton);
  fortyButton.addEventListener("mouseover", handleFortyButtonMouseOver);
  fortyButton.addEventListener("mouseout", handleFortyButtonMouseOut);
  fortyButton.addEventListener("click", handleFortyButtonClick);

  var fiftyButton = new createjs.Container();
  fiftyButton.x = 50;
  fiftyButton.y = 380;

  heightMenu.addChild(fiftyButton);

  fiftyButtonShape = new createjs.Shape();
  fiftyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  fiftyButton.addChild(fiftyButtonShape);

  var fiftyButtonText = new createjs.Text("5 Step Ladder\n50\" Platform Height / 47.5\" Clearance", "16px sans-serif", "#fff");
  fiftyButtonText.textAlign = "center";
  fiftyButtonText.y = 2;
  fiftyButtonText.x = 150;
  fiftyButton.addChild(fiftyButtonText);

  var fiftyButtonHelper = new createjs.ButtonHelper(fiftyButton);
  fiftyButton.addEventListener("mouseover", handleFiftyButtonMouseOver);
  fiftyButton.addEventListener("mouseout", handleFiftyButtonMouseOut);
  fiftyButton.addEventListener("click", handleFiftyButtonClick);

  var sixtyButton = new createjs.Container();
  sixtyButton.x = 50;
  sixtyButton.y = 320;

  heightMenu.addChild(sixtyButton);

  sixtyButtonShape = new createjs.Shape();
  sixtyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  sixtyButton.addChild(sixtyButtonShape);

  var sixtyButtonText = new createjs.Text("6 Step Ladder\n60\" Platform Height / 57.5\" Clearance", "16px sans-serif", "#fff");
  sixtyButtonText.textAlign = "center";
  sixtyButtonText.y = 2;
  sixtyButtonText.x = 150;
  sixtyButton.addChild(sixtyButtonText);

  var sixtyButtonHelper = new createjs.ButtonHelper(sixtyButton);
  sixtyButton.addEventListener("mouseover", handleSixtyButtonMouseOver);
  sixtyButton.addEventListener("mouseout", handleSixtyButtonMouseOut);
  sixtyButton.addEventListener("click", handleSixtyButtonClick);

  stepOneHighlightShape = new createjs.Shape();
  stepOneHighlightShape.graphics.beginFill("rgba(255,128,0,0.6)");
  stepOneHighlightShape.graphics.moveTo(55,518);
  stepOneHighlightShape.graphics.lineTo(270,518);
  stepOneHighlightShape.graphics.lineTo(280,550);
  stepOneHighlightShape.graphics.lineTo(280,563);
  stepOneHighlightShape.graphics.lineTo(44,563);
  stepOneHighlightShape.graphics.lineTo(44,548);
  stepOneHighlightShape.graphics.lineTo(55,518);

  ladderPictureContainer.addChild(stepOneHighlightShape);

  stepTwoHighlightShape = new createjs.Shape();
  stepTwoHighlightShape.graphics.beginFill("rgba(255,128,0,0.6)");
  stepTwoHighlightShape.graphics.moveTo(62,443);
  stepTwoHighlightShape.graphics.lineTo(262,443);
  stepTwoHighlightShape.graphics.lineTo(272,465);
  stepTwoHighlightShape.graphics.lineTo(272,478);
  stepTwoHighlightShape.graphics.lineTo(52,478);
  stepTwoHighlightShape.graphics.lineTo(52,465);
  stepTwoHighlightShape.graphics.lineTo(62,443);

  ladderPictureContainer.addChild(stepTwoHighlightShape);

  stepThreeHighlightShape = new createjs.Shape();
  stepThreeHighlightShape.graphics.beginFill("rgba(255,128,0,0.6)");
  stepThreeHighlightShape.graphics.moveTo(70,375);
  stepThreeHighlightShape.graphics.lineTo(258,375);
  stepThreeHighlightShape.graphics.lineTo(267,392);
  stepThreeHighlightShape.graphics.lineTo(267,402);
  stepThreeHighlightShape.graphics.lineTo(60,402);
  stepThreeHighlightShape.graphics.lineTo(60,392);
  stepThreeHighlightShape.graphics.lineTo(70,375);

  ladderPictureContainer.addChild(stepThreeHighlightShape);

  stepFourHighlightShape = new createjs.Shape();
  stepFourHighlightShape.graphics.beginFill("rgba(255,128,0,0.6)");
  stepFourHighlightShape.graphics.moveTo(75,315);
  stepFourHighlightShape.graphics.lineTo(250,315);
  stepFourHighlightShape.graphics.lineTo(262,325);
  stepFourHighlightShape.graphics.lineTo(262,336);
  stepFourHighlightShape.graphics.lineTo(66,336);
  stepFourHighlightShape.graphics.lineTo(66,325);
  stepFourHighlightShape.graphics.lineTo(75,315);

  ladderPictureContainer.addChild(stepFourHighlightShape);

  stepFiveHighlightShape = new createjs.Shape();
  stepFiveHighlightShape.graphics.beginFill("rgba(255,128,0,0.6)");
  stepFiveHighlightShape.graphics.moveTo(78,260);
  stepFiveHighlightShape.graphics.lineTo(250,260);
  stepFiveHighlightShape.graphics.lineTo(257,267);
  stepFiveHighlightShape.graphics.lineTo(257,278);
  stepFiveHighlightShape.graphics.lineTo(70,278);
  stepFiveHighlightShape.graphics.lineTo(70,267);
  stepFiveHighlightShape.graphics.lineTo(78,260);

  ladderPictureContainer.addChild(stepFiveHighlightShape);

  stepSixHighlightShape = new createjs.Shape();
  stepSixHighlightShape.graphics.beginFill("rgba(255,128,0,0.6)");
  stepSixHighlightShape.graphics.moveTo(78,212);
  stepSixHighlightShape.graphics.lineTo(250,212);
  stepSixHighlightShape.graphics.lineTo(252,216);
  stepSixHighlightShape.graphics.lineTo(252,225);
  stepSixHighlightShape.graphics.lineTo(76,225);
  stepSixHighlightShape.graphics.lineTo(76,216);
  stepSixHighlightShape.graphics.lineTo(78,212);

  ladderPictureContainer.addChild(stepSixHighlightShape);

  ladderPictureContainer.scaleX = ladderPictureContainer.scaleY = 0.9;

  stepOneHighlightShape.visible = false;
  stepTwoHighlightShape.visible = false;
  stepThreeHighlightShape.visible = false;
  stepFourHighlightShape.visible = false;
  stepFiveHighlightShape.visible = false;
  stepSixHighlightShape.visible = false;

  var backButton = new createjs.Container();
  backButton.x = -430;
  backButton.y = 50;

  heightMenu.addChild(backButton);

  backButtonShape = new createjs.Shape();
  backButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,60,40,5);
  backButton.addChild(backButtonShape);

  var backButtonText = new createjs.Text("Back", "16px sans-serif", "#fff");
  backButtonText.textAlign = "center";
  backButtonText.y = 10;
  backButtonText.x = 30;
  backButton.addChild(backButtonText);

  var backButtonHelper = new createjs.ButtonHelper(backButton);
  backButton.addEventListener("click", handleBackButtonClick);


  return heightMenu;
}

function CO_HeightMenu(){
  var heightMenu = new createjs.Container();

  var triarcLogo = new createjs.Bitmap("assets/TriArcLogo.jpg");
  triarcLogo.x = -390;
  triarcLogo.y = 720;
  heightMenu.addChild(triarcLogo);

  if(VENDOR)
  {
    var graingerLogo = new createjs.Bitmap("assets/GraingerLogo.jpg");
    graingerLogo.x = 160;
    graingerLogo.y = 720;
    heightMenu.addChild(graingerLogo);
  }

  var udesignLogo = new createjs.Bitmap("assets/UDesignLogo.jpg");
  udesignLogo.x = -178;
  udesignLogo.y = 30;
  heightMenu.addChild(udesignLogo);

  var udesignLogoBorder = new createjs.Shape();
  udesignLogoBorder.graphics.beginStroke("#e17a0f").drawRoundRect(-184,20,368,110,5);
  heightMenu.addChild(udesignLogoBorder);

  var heightInstructionText = new createjs.Text("Select a Ladder", "30px sans-serif", "#444");
  heightInstructionText.textAlign = "center";
  heightInstructionText.x = 200;
  heightInstructionText.y = 160;

  heightMenu.addChild(heightInstructionText);

  var ladderPictureContainer = new createjs.Container();
  ladderPictureContainer.x = -250;
  ladderPictureContainer.y = 140;
  heightMenu.addChild(ladderPictureContainer);

  var ladderPicture = new createjs.Bitmap("assets/crossoverSelectLadder.png");
  ladderPictureContainer.addChild(ladderPicture);

  var thirtyButton = new createjs.Container();
  thirtyButton.x = 50;
  thirtyButton.y = 600;

  heightMenu.addChild(thirtyButton);

  thirtyButtonShape = new createjs.Shape();
  thirtyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  thirtyButton.addChild(thirtyButtonShape);

  var thirtyButtonText = new createjs.Text("3 Step Ladder\n30\" Platform Height / 28\" Clearance", "16px sans-serif", "#fff");
  thirtyButtonText.textAlign = "center";
  thirtyButtonText.y = 2;
  thirtyButtonText.x = 150;
  thirtyButton.addChild(thirtyButtonText);

  var thirtyButtonHelper = new createjs.ButtonHelper(thirtyButton);
  thirtyButton.addEventListener("mouseover", handleThirtyButtonMouseOver);
  thirtyButton.addEventListener("mouseout", handleThirtyButtonMouseOut);
  thirtyButton.addEventListener("click", handleThirtyButtonClick);

  var fortyButton = new createjs.Container();
  fortyButton.x = 50;
  fortyButton.y = 540;

  heightMenu.addChild(fortyButton);

  fortyButtonShape = new createjs.Shape();
  fortyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  fortyButton.addChild(fortyButtonShape);

  var fortyButtonText = new createjs.Text("4 Step Ladder\n40\" Platform Height / 38\" Clearance", "16px sans-serif", "#fff");
  fortyButtonText.textAlign = "center";
  fortyButtonText.y = 2;
  fortyButtonText.x = 150;
  fortyButton.addChild(fortyButtonText);

  var fortyButtonHelper = new createjs.ButtonHelper(fortyButton);
  fortyButton.addEventListener("mouseover", handleFortyButtonMouseOver);
  fortyButton.addEventListener("mouseout", handleFortyButtonMouseOut);
  fortyButton.addEventListener("click", handleFortyButtonClick);

  var fiftyButton = new createjs.Container();
  fiftyButton.x = 50;
  fiftyButton.y = 480;

  heightMenu.addChild(fiftyButton);

  fiftyButtonShape = new createjs.Shape();
  fiftyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  fiftyButton.addChild(fiftyButtonShape);

  var fiftyButtonText = new createjs.Text("5 Step Ladder\n50\" Platform Height / 48\" Clearance", "16px sans-serif", "#fff");
  fiftyButtonText.textAlign = "center";
  fiftyButtonText.y = 2;
  fiftyButtonText.x = 150;
  fiftyButton.addChild(fiftyButtonText);

  var fiftyButtonHelper = new createjs.ButtonHelper(fiftyButton);
  fiftyButton.addEventListener("mouseover", handleFiftyButtonMouseOver);
  fiftyButton.addEventListener("mouseout", handleFiftyButtonMouseOut);
  fiftyButton.addEventListener("click", handleFiftyButtonClick);

  var sixtyButton = new createjs.Container();
  sixtyButton.x = 50;
  sixtyButton.y = 420;

  heightMenu.addChild(sixtyButton);

  sixtyButtonShape = new createjs.Shape();
  sixtyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  sixtyButton.addChild(sixtyButtonShape);

  var sixtyButtonText = new createjs.Text("6 Step Ladder\n60\" Platform Height / 58\" Clearance", "16px sans-serif", "#fff");
  sixtyButtonText.textAlign = "center";
  sixtyButtonText.y = 2;
  sixtyButtonText.x = 150;
  sixtyButton.addChild(sixtyButtonText);

  var sixtyButtonHelper = new createjs.ButtonHelper(sixtyButton);
  sixtyButton.addEventListener("mouseover", handleSixtyButtonMouseOver);
  sixtyButton.addEventListener("mouseout", handleSixtyButtonMouseOut);
  sixtyButton.addEventListener("click", handleSixtyButtonClick);

  var seventyButton = new createjs.Container();
  seventyButton.x = 50;
  seventyButton.y = 360;

  seventyButtonShape = new createjs.Shape();
  seventyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  seventyButton.addChild(seventyButtonShape);

  var seventyButtonText = new createjs.Text("7 Step Ladder\n70\" Platform Height / 68\" Clearance", "16px sans-serif", "#fff");
  seventyButtonText.textAlign = "center";
  seventyButtonText.y = 2;
  seventyButtonText.x = 150;
  seventyButton.addChild(seventyButtonText);

  heightMenu.addChild(seventyButton);

  var seventyButtonHelper = new createjs.ButtonHelper(seventyButton);
  seventyButton.addEventListener("mouseover", handleSeventyButtonMouseOver);
  seventyButton.addEventListener("mouseout", handleSeventyButtonMouseOut);
  seventyButton.addEventListener("click", handleSeventyButtonClick);

  var eightyButton = new createjs.Container();
  eightyButton.x = 50;
  eightyButton.y = 300;

  eightyButtonShape = new createjs.Shape();
  eightyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  eightyButton.addChild(eightyButtonShape);

  var eightyButtonText = new createjs.Text("8 Step Ladder\n80\" Platform Height / 78\" Clearance", "16px sans-serif", "#fff");
  eightyButtonText.textAlign = "center";
  eightyButtonText.y = 2;
  eightyButtonText.x = 150;
  eightyButton.addChild(eightyButtonText);

  heightMenu.addChild(eightyButton);

  var eightyButtonHelper = new createjs.ButtonHelper(eightyButton);
  eightyButton.addEventListener("mouseover", handleEightyButtonMouseOver);
  eightyButton.addEventListener("mouseout", handleEightyButtonMouseOut);
  eightyButton.addEventListener("click", handleEightyButtonClick);

  var ninetyButton = new createjs.Container();
  ninetyButton.x = 50;
  ninetyButton.y = 240;

  ninetyButtonShape = new createjs.Shape();
  ninetyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  ninetyButton.addChild(ninetyButtonShape);

  var ninetyButtonText = new createjs.Text("9 Step Ladder\n90\" Platform Height / 88\" Clearance", "16px sans-serif", "#fff");
  ninetyButtonText.textAlign = "center";
  ninetyButtonText.y = 2;
  ninetyButtonText.x = 150;
  ninetyButton.addChild(ninetyButtonText);

  heightMenu.addChild(ninetyButton);

  var ninetyButtonHelper = new createjs.ButtonHelper(ninetyButton);
  ninetyButton.addEventListener("mouseover", handleNinetyButtonMouseOver);
  ninetyButton.addEventListener("mouseout", handleNinetyButtonMouseOut);
  ninetyButton.addEventListener("click", handleNinetyButtonClick);

  stepOneHighlightShape = new createjs.Shape();
  stepOneHighlightShape.graphics.beginFill("rgba(255,192,0,0.8)");
  stepOneHighlightShape.graphics.moveTo(20,577);
  stepOneHighlightShape.graphics.lineTo(128,577);
  stepOneHighlightShape.graphics.lineTo(130,597);
  stepOneHighlightShape.graphics.lineTo(130,605);
  stepOneHighlightShape.graphics.lineTo(18,605);
  stepOneHighlightShape.graphics.lineTo(18,597);
  stepOneHighlightShape.graphics.lineTo(20,577);

  ladderPictureContainer.addChild(stepOneHighlightShape);

  stepTwoHighlightShape = new createjs.Shape();
  stepTwoHighlightShape.graphics.beginFill("rgba(255,192,0,0.8)");
  stepTwoHighlightShape.graphics.moveTo(20,530);
  stepTwoHighlightShape.graphics.lineTo(128,530);
  stepTwoHighlightShape.graphics.lineTo(130,548);
  stepTwoHighlightShape.graphics.lineTo(130,557);
  stepTwoHighlightShape.graphics.lineTo(18,557);
  stepTwoHighlightShape.graphics.lineTo(18,548);
  stepTwoHighlightShape.graphics.lineTo(20,530);

  ladderPictureContainer.addChild(stepTwoHighlightShape);

  stepThreeHighlightShape = new createjs.Shape();
  stepThreeHighlightShape.graphics.beginFill("rgba(255,192,0,0.8)");
  stepThreeHighlightShape.graphics.moveTo(20,484);
  stepThreeHighlightShape.graphics.lineTo(128,484);
  stepThreeHighlightShape.graphics.lineTo(130,500);
  stepThreeHighlightShape.graphics.lineTo(130,510);
  stepThreeHighlightShape.graphics.lineTo(18,510);
  stepThreeHighlightShape.graphics.lineTo(18,500);
  stepThreeHighlightShape.graphics.lineTo(20,484);

  ladderPictureContainer.addChild(stepThreeHighlightShape);

  stepFourHighlightShape = new createjs.Shape();
  stepFourHighlightShape.graphics.beginFill("rgba(255,192,0,0.8)");
  stepFourHighlightShape.graphics.moveTo(20,438);
  stepFourHighlightShape.graphics.lineTo(128,438);
  stepFourHighlightShape.graphics.lineTo(130,450);
  stepFourHighlightShape.graphics.lineTo(130,460);
  stepFourHighlightShape.graphics.lineTo(18,460);
  stepFourHighlightShape.graphics.lineTo(18,450);
  stepFourHighlightShape.graphics.lineTo(20,438);

  ladderPictureContainer.addChild(stepFourHighlightShape);

  stepFiveHighlightShape = new createjs.Shape();
  stepFiveHighlightShape.graphics.beginFill("rgba(255,192,0,0.8)");
  stepFiveHighlightShape.graphics.moveTo(20,391);
  stepFiveHighlightShape.graphics.lineTo(128,391);
  stepFiveHighlightShape.graphics.lineTo(130,403);
  stepFiveHighlightShape.graphics.lineTo(130,413);
  stepFiveHighlightShape.graphics.lineTo(18,413);
  stepFiveHighlightShape.graphics.lineTo(18,403);
  stepFiveHighlightShape.graphics.lineTo(20,391);

  ladderPictureContainer.addChild(stepFiveHighlightShape);

  stepSixHighlightShape = new createjs.Shape();
  stepSixHighlightShape.graphics.beginFill("rgba(255,192,0,0.8)");
  stepSixHighlightShape.graphics.moveTo(21,343);
  stepSixHighlightShape.graphics.lineTo(129,343);
  stepSixHighlightShape.graphics.lineTo(130,355);
  stepSixHighlightShape.graphics.lineTo(130,364);
  stepSixHighlightShape.graphics.lineTo(20,364);
  stepSixHighlightShape.graphics.lineTo(20,355);
  stepSixHighlightShape.graphics.lineTo(21,343);

  ladderPictureContainer.addChild(stepSixHighlightShape);

  stepSevenHighlightShape = new createjs.Shape();
  stepSevenHighlightShape.graphics.beginFill("rgba(255,192,0,0.8)");
  stepSevenHighlightShape.graphics.moveTo(22,298);
  stepSevenHighlightShape.graphics.lineTo(126,298);
  stepSevenHighlightShape.graphics.lineTo(130,307);
  stepSevenHighlightShape.graphics.lineTo(130,316);
  stepSevenHighlightShape.graphics.lineTo(20,316);
  stepSevenHighlightShape.graphics.lineTo(20,307);
  stepSevenHighlightShape.graphics.lineTo(22,298);

  ladderPictureContainer.addChild(stepSevenHighlightShape);

  stepEightHighlightShape = new createjs.Shape();
  stepEightHighlightShape.graphics.beginFill("rgba(255,192,0,0.8)");
  stepEightHighlightShape.graphics.moveTo(22,252);
  stepEightHighlightShape.graphics.lineTo(124,252);
  stepEightHighlightShape.graphics.lineTo(130,258);
  stepEightHighlightShape.graphics.lineTo(130,267);
  stepEightHighlightShape.graphics.lineTo(16,267);
  stepEightHighlightShape.graphics.lineTo(16,258);
  stepEightHighlightShape.graphics.lineTo(22,252);

  ladderPictureContainer.addChild(stepEightHighlightShape);

  stepNineHighlightShape = new createjs.Shape();
  stepNineHighlightShape.graphics.beginFill("rgba(255,192,0,0.8)");
  stepNineHighlightShape.graphics.moveTo(22,204);
  stepNineHighlightShape.graphics.lineTo(126,204);
  stepNineHighlightShape.graphics.lineTo(132,210);
  stepNineHighlightShape.graphics.lineTo(132,220);
  stepNineHighlightShape.graphics.lineTo(16,220);
  stepNineHighlightShape.graphics.lineTo(16,210);
  stepNineHighlightShape.graphics.lineTo(22,204);

  ladderPictureContainer.addChild(stepNineHighlightShape);

  ladderPictureContainer.scaleX = ladderPictureContainer.scaleY = 0.9;

  stepOneHighlightShape.visible = false;
  stepTwoHighlightShape.visible = false;
  stepThreeHighlightShape.visible = false;
  stepFourHighlightShape.visible = false;
  stepFiveHighlightShape.visible = false;
  stepSixHighlightShape.visible = false;
  stepSevenHighlightShape.visible = false;
  stepEightHighlightShape.visible = false;
  stepNineHighlightShape.visible = false;

  var backButton = new createjs.Container();
  backButton.x = -430;
  backButton.y = 50;

  heightMenu.addChild(backButton);

  backButtonShape = new createjs.Shape();
  backButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,60,40,5);
  backButton.addChild(backButtonShape);

  var backButtonText = new createjs.Text("Back", "16px sans-serif", "#fff");
  backButtonText.textAlign = "center";
  backButtonText.y = 10;
  backButtonText.x = 30;
  backButton.addChild(backButtonText);

  var backButtonHelper = new createjs.ButtonHelper(backButton);
  backButton.addEventListener("click", handleBackButtonClick);


  return heightMenu;
}


function MA_HeightMenu(){
  var heightMenu = new createjs.Container();

  var triarcLogo = new createjs.Bitmap("assets/TriArcLogo.jpg");
  triarcLogo.x = -390;
  triarcLogo.y = 720;
  heightMenu.addChild(triarcLogo);

  if(VENDOR)
  {
    var graingerLogo = new createjs.Bitmap("assets/GraingerLogo.jpg");
    graingerLogo.x = 160;
    graingerLogo.y = 720;
    heightMenu.addChild(graingerLogo);
  }

  var udesignLogo = new createjs.Bitmap("assets/UDesignLogo.jpg");
  udesignLogo.x = -178;
  udesignLogo.y = 30;
  heightMenu.addChild(udesignLogo);

  var udesignLogoBorder = new createjs.Shape();
  udesignLogoBorder.graphics.beginStroke("#e17a0f").drawRoundRect(-184,20,368,110,5);
  heightMenu.addChild(udesignLogoBorder);

  var heightInstructionText = new createjs.Text("Select a Ladder", "30px sans-serif", "#444");
  heightInstructionText.textAlign = "center";
  heightInstructionText.x = 200;
  heightInstructionText.y = 160;

  heightMenu.addChild(heightInstructionText);

  var ladderPictureContainer = new createjs.Container();
  ladderPictureContainer.x = -250;
  ladderPictureContainer.y = 140;
  heightMenu.addChild(ladderPictureContainer);

  var ladderPicture = new createjs.Bitmap("assets/maxAccessSelectLadder.png");
  ladderPictureContainer.addChild(ladderPicture);

  var twentyButton = new createjs.Container();
  twentyButton.x = 50;
  twentyButton.y = 675;

  heightMenu.addChild(twentyButton);

  twentyButtonShape = new createjs.Shape();
  twentyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  twentyButton.addChild(twentyButtonShape);

  var twentyButtonText = new createjs.Text("2 Step Ladder\n20\" Platform Height / 18\" Clearance", "16px sans-serif", "#fff");
  twentyButtonText.textAlign = "center";
  twentyButtonText.y = 2;
  twentyButtonText.x = 150;
  twentyButton.addChild(twentyButtonText);

  var twentyButtonHelper = new createjs.ButtonHelper(twentyButton);
  twentyButton.addEventListener("mouseover", handleTwentyButtonMouseOver);
  twentyButton.addEventListener("mouseout", handleTwentyButtonMouseOut);
  twentyButton.addEventListener("click", handleTwentyButtonClick);

  var thirtyButton = new createjs.Container();
  thirtyButton.x = 50;
  thirtyButton.y = 625;

  heightMenu.addChild(thirtyButton);

  thirtyButtonShape = new createjs.Shape();
  thirtyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  thirtyButton.addChild(thirtyButtonShape);

  var thirtyButtonText = new createjs.Text("3 Step Ladder\n30\" Platform Height / 28\" Clearance", "16px sans-serif", "#fff");
  thirtyButtonText.textAlign = "center";
  thirtyButtonText.y = 2;
  thirtyButtonText.x = 150;
  thirtyButton.addChild(thirtyButtonText);

  var thirtyButtonHelper = new createjs.ButtonHelper(thirtyButton);
  thirtyButton.addEventListener("mouseover", handleThirtyButtonMouseOver);
  thirtyButton.addEventListener("mouseout", handleThirtyButtonMouseOut);
  thirtyButton.addEventListener("click", handleThirtyButtonClick);

  var fortyButton = new createjs.Container();
  fortyButton.x = 50;
  fortyButton.y = 575;

  heightMenu.addChild(fortyButton);

  fortyButtonShape = new createjs.Shape();
  fortyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  fortyButton.addChild(fortyButtonShape);

  var fortyButtonText = new createjs.Text("4 Step Ladder\n40\" Platform Height / 38\" Clearance", "16px sans-serif", "#fff");
  fortyButtonText.textAlign = "center";
  fortyButtonText.y = 2;
  fortyButtonText.x = 150;
  fortyButton.addChild(fortyButtonText);

  var fortyButtonHelper = new createjs.ButtonHelper(fortyButton);
  fortyButton.addEventListener("mouseover", handleFortyButtonMouseOver);
  fortyButton.addEventListener("mouseout", handleFortyButtonMouseOut);
  fortyButton.addEventListener("click", handleFortyButtonClick);

  var fiftyButton = new createjs.Container();
  fiftyButton.x = 50;
  fiftyButton.y = 525;

  heightMenu.addChild(fiftyButton);

  fiftyButtonShape = new createjs.Shape();
  fiftyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  fiftyButton.addChild(fiftyButtonShape);

  var fiftyButtonText = new createjs.Text("5 Step Ladder\n50\" Platform Height / 48\" Clearance", "16px sans-serif", "#fff");
  fiftyButtonText.textAlign = "center";
  fiftyButtonText.y = 2;
  fiftyButtonText.x = 150;
  fiftyButton.addChild(fiftyButtonText);

  var fiftyButtonHelper = new createjs.ButtonHelper(fiftyButton);
  fiftyButton.addEventListener("mouseover", handleFiftyButtonMouseOver);
  fiftyButton.addEventListener("mouseout", handleFiftyButtonMouseOut);
  fiftyButton.addEventListener("click", handleFiftyButtonClick);

  var sixtyButton = new createjs.Container();
  sixtyButton.x = 50;
  sixtyButton.y = 475;

  heightMenu.addChild(sixtyButton);

  sixtyButtonShape = new createjs.Shape();
  sixtyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  sixtyButton.addChild(sixtyButtonShape);

  var sixtyButtonText = new createjs.Text("6 Step Ladder\n60\" Platform Height / 58\" Clearance", "16px sans-serif", "#fff");
  sixtyButtonText.textAlign = "center";
  sixtyButtonText.y = 2;
  sixtyButtonText.x = 150;
  sixtyButton.addChild(sixtyButtonText);

  var sixtyButtonHelper = new createjs.ButtonHelper(sixtyButton);
  sixtyButton.addEventListener("mouseover", handleSixtyButtonMouseOver);
  sixtyButton.addEventListener("mouseout", handleSixtyButtonMouseOut);
  sixtyButton.addEventListener("click", handleSixtyButtonClick);

  var seventyButton = new createjs.Container();
  seventyButton.x = 50;
  seventyButton.y = 425;

  seventyButtonShape = new createjs.Shape();
  seventyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  seventyButton.addChild(seventyButtonShape);

  var seventyButtonText = new createjs.Text("7 Step Ladder\n70\" Platform Height / 68\" Clearance", "16px sans-serif", "#fff");
  seventyButtonText.textAlign = "center";
  seventyButtonText.y = 2;
  seventyButtonText.x = 150;
  seventyButton.addChild(seventyButtonText);

  heightMenu.addChild(seventyButton);

  var seventyButtonHelper = new createjs.ButtonHelper(seventyButton);
  seventyButton.addEventListener("mouseover", handleSeventyButtonMouseOver);
  seventyButton.addEventListener("mouseout", handleSeventyButtonMouseOut);
  seventyButton.addEventListener("click", handleSeventyButtonClick);

  var eightyButton = new createjs.Container();
  eightyButton.x = 50;
  eightyButton.y = 375;

  eightyButtonShape = new createjs.Shape();
  eightyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  eightyButton.addChild(eightyButtonShape);

  var eightyButtonText = new createjs.Text("8 Step Ladder\n80\" Platform Height / 78\" Clearance", "16px sans-serif", "#fff");
  eightyButtonText.textAlign = "center";
  eightyButtonText.y = 2;
  eightyButtonText.x = 150;
  eightyButton.addChild(eightyButtonText);

  heightMenu.addChild(eightyButton);

  var eightyButtonHelper = new createjs.ButtonHelper(eightyButton);
  eightyButton.addEventListener("mouseover", handleEightyButtonMouseOver);
  eightyButton.addEventListener("mouseout", handleEightyButtonMouseOut);
  eightyButton.addEventListener("click", handleEightyButtonClick);

  var ninetyButton = new createjs.Container();
  ninetyButton.x = 50;
  ninetyButton.y = 325;

  ninetyButtonShape = new createjs.Shape();
  ninetyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  ninetyButton.addChild(ninetyButtonShape);

  var ninetyButtonText = new createjs.Text("9 Step Ladder\n90\" Platform Height / 88\" Clearance", "16px sans-serif", "#fff");
  ninetyButtonText.textAlign = "center";
  ninetyButtonText.y = 2;
  ninetyButtonText.x = 150;
  ninetyButton.addChild(ninetyButtonText);

  heightMenu.addChild(ninetyButton);

  var ninetyButtonHelper = new createjs.ButtonHelper(ninetyButton);
  ninetyButton.addEventListener("mouseover", handleNinetyButtonMouseOver);
  ninetyButton.addEventListener("mouseout", handleNinetyButtonMouseOut);
  ninetyButton.addEventListener("click", handleNinetyButtonClick);

  var hundredButton = new createjs.Container();
  hundredButton.x = 50;
  hundredButton.y = 275;

  hundredButtonShape = new createjs.Shape();
  hundredButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  hundredButton.addChild(hundredButtonShape);

  var hundredButtonText = new createjs.Text("10 Step Ladder\n100\" Platform Height / 98\" Clearance", "16px sans-serif", "#fff");
  hundredButtonText.textAlign = "center";
  hundredButtonText.y = 2;
  hundredButtonText.x = 150;
  hundredButton.addChild(hundredButtonText);

  heightMenu.addChild(hundredButton);

  var hundredButtonHelper = new createjs.ButtonHelper(hundredButton);
  hundredButton.addEventListener("mouseover", handleHundredButtonMouseOver);
  hundredButton.addEventListener("mouseout", handleHundredButtonMouseOut);
  hundredButton.addEventListener("click", handleHundredButtonClick);

  var hundredTenButton = new createjs.Container();
  hundredTenButton.x = 50;
  hundredTenButton.y = 225;

  hundredTenButtonShape = new createjs.Shape();
  hundredTenButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  hundredTenButton.addChild(hundredTenButtonShape);

  var hundredTenButtonText = new createjs.Text("11 Step Ladder\n110\" Platform Height / 108\" Clearance", "16px sans-serif", "#fff");
  hundredTenButtonText.textAlign = "center";
  hundredTenButtonText.y = 2;
  hundredTenButtonText.x = 150;
  hundredTenButton.addChild(hundredTenButtonText);

  heightMenu.addChild(hundredTenButton);

  var hundredTenButtonHelper = new createjs.ButtonHelper(hundredTenButton);
  hundredTenButton.addEventListener("mouseover", handleHundredTenButtonMouseOver);
  hundredTenButton.addEventListener("mouseout", handleHundredTenButtonMouseOut);
  hundredTenButton.addEventListener("click", handleHundredTenButtonClick);


  stepOneHighlightShape = new createjs.Shape();
  stepOneHighlightShape.graphics.beginFill("rgba(255,192,0,0.8)");
  stepOneHighlightShape.graphics.moveTo(20,600);
  stepOneHighlightShape.graphics.lineTo(128,600);
  stepOneHighlightShape.graphics.lineTo(130,615);
  stepOneHighlightShape.graphics.lineTo(130,625);
  stepOneHighlightShape.graphics.lineTo(18,625);
  stepOneHighlightShape.graphics.lineTo(18,615);
  stepOneHighlightShape.graphics.lineTo(20,600);

  ladderPictureContainer.addChild(stepOneHighlightShape);

  stepTwoHighlightShape = new createjs.Shape();
  stepTwoHighlightShape.graphics.beginFill("rgba(255,192,0,0.8)");
  stepTwoHighlightShape.graphics.moveTo(20,548);
  stepTwoHighlightShape.graphics.lineTo(128,548);
  stepTwoHighlightShape.graphics.lineTo(129,562);
  stepTwoHighlightShape.graphics.lineTo(129,571);
  stepTwoHighlightShape.graphics.lineTo(19,571);
  stepTwoHighlightShape.graphics.lineTo(19,562);
  stepTwoHighlightShape.graphics.lineTo(20,548);

  ladderPictureContainer.addChild(stepTwoHighlightShape);

  stepThreeHighlightShape = new createjs.Shape();
  stepThreeHighlightShape.graphics.beginFill("rgba(255,192,0,0.8)");
  stepThreeHighlightShape.graphics.moveTo(20,498);
  stepThreeHighlightShape.graphics.lineTo(127,498);
  stepThreeHighlightShape.graphics.lineTo(127,510);
  stepThreeHighlightShape.graphics.lineTo(127,521);
  stepThreeHighlightShape.graphics.lineTo(19,521);
  stepThreeHighlightShape.graphics.lineTo(19,510);
  stepThreeHighlightShape.graphics.lineTo(20,498);

  ladderPictureContainer.addChild(stepThreeHighlightShape);

  stepFourHighlightShape = new createjs.Shape();
  stepFourHighlightShape.graphics.beginFill("rgba(255,192,0,0.8)");
  stepFourHighlightShape.graphics.moveTo(20,448);
  stepFourHighlightShape.graphics.lineTo(126,448);
  stepFourHighlightShape.graphics.lineTo(127,460);
  stepFourHighlightShape.graphics.lineTo(127,470);
  stepFourHighlightShape.graphics.lineTo(18,470);
  stepFourHighlightShape.graphics.lineTo(18,460);
  stepFourHighlightShape.graphics.lineTo(20,448);

  ladderPictureContainer.addChild(stepFourHighlightShape);

  stepFiveHighlightShape = new createjs.Shape();
  stepFiveHighlightShape.graphics.beginFill("rgba(255,192,0,0.8)");
  stepFiveHighlightShape.graphics.moveTo(22,401);
  stepFiveHighlightShape.graphics.lineTo(125,401);
  stepFiveHighlightShape.graphics.lineTo(126,412);
  stepFiveHighlightShape.graphics.lineTo(126,422);
  stepFiveHighlightShape.graphics.lineTo(21,422);
  stepFiveHighlightShape.graphics.lineTo(21,412);
  stepFiveHighlightShape.graphics.lineTo(22,391);

  ladderPictureContainer.addChild(stepFiveHighlightShape);

  stepSixHighlightShape = new createjs.Shape();
  stepSixHighlightShape.graphics.beginFill("rgba(255,192,0,0.8)");
  stepSixHighlightShape.graphics.moveTo(25,356);
  stepSixHighlightShape.graphics.lineTo(123,356);
  stepSixHighlightShape.graphics.lineTo(126,366);
  stepSixHighlightShape.graphics.lineTo(126,374);
  stepSixHighlightShape.graphics.lineTo(22,374);
  stepSixHighlightShape.graphics.lineTo(22,366);
  stepSixHighlightShape.graphics.lineTo(25,356);

  ladderPictureContainer.addChild(stepSixHighlightShape);

  stepSevenHighlightShape = new createjs.Shape();
  stepSevenHighlightShape.graphics.beginFill("rgba(255,192,0,0.8)");
  stepSevenHighlightShape.graphics.moveTo(24,312);
  stepSevenHighlightShape.graphics.lineTo(123,312);
  stepSevenHighlightShape.graphics.lineTo(125,320);
  stepSevenHighlightShape.graphics.lineTo(125,330);
  stepSevenHighlightShape.graphics.lineTo(22,330);
  stepSevenHighlightShape.graphics.lineTo(22,320);
  stepSevenHighlightShape.graphics.lineTo(24,312);

  ladderPictureContainer.addChild(stepSevenHighlightShape);

  stepEightHighlightShape = new createjs.Shape();
  stepEightHighlightShape.graphics.beginFill("rgba(255,192,0,0.8)");
  stepEightHighlightShape.graphics.moveTo(25,268);
  stepEightHighlightShape.graphics.lineTo(122,268);
  stepEightHighlightShape.graphics.lineTo(124,276);
  stepEightHighlightShape.graphics.lineTo(124,285);
  stepEightHighlightShape.graphics.lineTo(23,285);
  stepEightHighlightShape.graphics.lineTo(23,276);
  stepEightHighlightShape.graphics.lineTo(25,268);

  ladderPictureContainer.addChild(stepEightHighlightShape);

  stepNineHighlightShape = new createjs.Shape();
  stepNineHighlightShape.graphics.beginFill("rgba(255,192,0,0.8)");
  stepNineHighlightShape.graphics.moveTo(26,225);
  stepNineHighlightShape.graphics.lineTo(122,225);
  stepNineHighlightShape.graphics.lineTo(124,233);
  stepNineHighlightShape.graphics.lineTo(124,242);
  stepNineHighlightShape.graphics.lineTo(24,242);
  stepNineHighlightShape.graphics.lineTo(24,233);
  stepNineHighlightShape.graphics.lineTo(26,225);

  ladderPictureContainer.addChild(stepNineHighlightShape);

  stepTenHighlightShape = new createjs.Shape();
  stepTenHighlightShape.graphics.beginFill("rgba(255,192,0,0.8)");
  stepTenHighlightShape.graphics.moveTo(26,184);
  stepTenHighlightShape.graphics.lineTo(120,184);
  stepTenHighlightShape.graphics.lineTo(123,190);
  stepTenHighlightShape.graphics.lineTo(123,200);
  stepTenHighlightShape.graphics.lineTo(24,200);
  stepTenHighlightShape.graphics.lineTo(24,190);
  stepTenHighlightShape.graphics.lineTo(26,184);

  ladderPictureContainer.addChild(stepTenHighlightShape);

  stepElevenHighlightShape = new createjs.Shape();
  stepElevenHighlightShape.graphics.beginFill("rgba(255,192,0,0.8)");
  stepElevenHighlightShape.graphics.moveTo(26,142);
  stepElevenHighlightShape.graphics.lineTo(120,142);
  stepElevenHighlightShape.graphics.lineTo(122,150);
  stepElevenHighlightShape.graphics.lineTo(122,158);
  stepElevenHighlightShape.graphics.lineTo(24,158);
  stepElevenHighlightShape.graphics.lineTo(24,150);
  stepElevenHighlightShape.graphics.lineTo(26,142);

  ladderPictureContainer.addChild(stepElevenHighlightShape);

  ladderPictureContainer.scaleX = ladderPictureContainer.scaleY = 0.9;

  stepOneHighlightShape.visible = false;
  stepTwoHighlightShape.visible = false;
  stepThreeHighlightShape.visible = false;
  stepFourHighlightShape.visible = false;
  stepFiveHighlightShape.visible = false;
  stepSixHighlightShape.visible = false;
  stepSevenHighlightShape.visible = false;
  stepEightHighlightShape.visible = false;
  stepNineHighlightShape.visible = false;
  stepTenHighlightShape.visible = false;
  stepElevenHighlightShape.visible = false;

  var backButton = new createjs.Container();
  backButton.x = -430;
  backButton.y = 50;

  heightMenu.addChild(backButton);

  backButtonShape = new createjs.Shape();
  backButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,60,40,5);
  backButton.addChild(backButtonShape);

  var backButtonText = new createjs.Text("Back", "16px sans-serif", "#fff");
  backButtonText.textAlign = "center";
  backButtonText.y = 10;
  backButtonText.x = 30;
  backButton.addChild(backButtonText);

  var backButtonHelper = new createjs.ButtonHelper(backButton);
  backButton.addEventListener("click", handleBackButtonClick);


  return heightMenu;
}

// Event Handlers

function handleBackButtonClick(event){
  showStartMenu();
}

function handleTwentyButtonClick(event){
  setHeight(20);
  showSystemOptionsMenu();
}

function handleThirtyButtonClick(event){
  setHeight(30);
  showSystemOptionsMenu();
}

function handleFortyButtonClick(event){
  setHeight(40);
  showSystemOptionsMenu();
}

function handleFiftyButtonClick(event){
  setHeight(50);
  showSystemOptionsMenu();
}

function handleSixtyButtonClick(event){
  setHeight(60);
  showSystemOptionsMenu();
}

function handleSeventyButtonClick(event){
  setHeight(70);
  showSystemOptionsMenu();
}

function handleEightyButtonClick(event){
  setHeight(80);
  showSystemOptionsMenu();
}

function handleNinetyButtonClick(event){
  setHeight(90);
  showSystemOptionsMenu();
}

function handleHundredButtonClick(event){
  setHeight(100);
  showSystemOptionsMenu();
}
function handleHundredTenButtonClick(event){
  setHeight(110);
  showSystemOptionsMenu();
}

function handleTwentyButtonMouseOver(event){
  twentyButtonShape.graphics.beginFill("#ff9e35").beginStroke("#e17a0f").drawRoundRect(0,0,300,40,5);
  stepOneHighlightShape.visible = true;
  stepTwoHighlightShape.visible = true;
}

function handleTwentyButtonMouseOut(event){
  twentyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  stepOneHighlightShape.visible = false;
  stepTwoHighlightShape.visible = false;
}

function handleThirtyButtonMouseOver(event){
  thirtyButtonShape.graphics.beginFill("#ff9e35").beginStroke("#e17a0f").drawRoundRect(0,0,300,40,5);
  stepOneHighlightShape.visible = true;
  stepTwoHighlightShape.visible = true;
  stepThreeHighlightShape.visible = true;
}

function handleThirtyButtonMouseOut(event){
  thirtyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  stepOneHighlightShape.visible = false;
  stepTwoHighlightShape.visible = false;
  stepThreeHighlightShape.visible = false;
}

function handleFortyButtonMouseOver(event){
  fortyButtonShape.graphics.beginFill("#ff9e35").beginStroke("#e17a0f").drawRoundRect(0,0,300,40,5);
  stepOneHighlightShape.visible = true;
  stepTwoHighlightShape.visible = true;
  stepThreeHighlightShape.visible = true;
  stepFourHighlightShape.visible = true;
}

function handleFortyButtonMouseOut(event){
  fortyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  stepOneHighlightShape.visible = false;
  stepTwoHighlightShape.visible = false;
  stepThreeHighlightShape.visible = false;
  stepFourHighlightShape.visible = false;
}

function handleFiftyButtonMouseOver(event){
  fiftyButtonShape.graphics.beginFill("#ff9e35").beginStroke("#e17a0f").drawRoundRect(0,0,300,40,5);
  stepOneHighlightShape.visible = true;
  stepTwoHighlightShape.visible = true;
  stepThreeHighlightShape.visible = true;
  stepFourHighlightShape.visible = true;
  stepFiveHighlightShape.visible = true;
}

function handleFiftyButtonMouseOut(event){
  fiftyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  stepOneHighlightShape.visible = false;
  stepTwoHighlightShape.visible = false;
  stepThreeHighlightShape.visible = false;
  stepFourHighlightShape.visible = false;
  stepFiveHighlightShape.visible = false;
}

function handleSixtyButtonMouseOver(event){
  sixtyButtonShape.graphics.beginFill("#ff9e35").beginStroke("#e17a0f").drawRoundRect(0,0,300,40,5);
  stepOneHighlightShape.visible = true;
  stepTwoHighlightShape.visible = true;
  stepThreeHighlightShape.visible = true;
  stepFourHighlightShape.visible = true;
  stepFiveHighlightShape.visible = true;
  stepSixHighlightShape.visible = true;
}

function handleSixtyButtonMouseOut(event){
  sixtyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  stepOneHighlightShape.visible = false;
  stepTwoHighlightShape.visible = false;
  stepThreeHighlightShape.visible = false;
  stepFourHighlightShape.visible = false;
  stepFiveHighlightShape.visible = false;
  stepSixHighlightShape.visible = false;
}

function handleSeventyButtonMouseOver(event){
  seventyButtonShape.graphics.beginFill("#ff9e35").beginStroke("#e17a0f").drawRoundRect(0,0,300,40,5);
  stepOneHighlightShape.visible = true;
  stepTwoHighlightShape.visible = true;
  stepThreeHighlightShape.visible = true;
  stepFourHighlightShape.visible = true;
  stepFiveHighlightShape.visible = true;
  stepSixHighlightShape.visible = true;
  stepSevenHighlightShape.visible = true;
}

function handleSeventyButtonMouseOut(event){
  seventyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  stepOneHighlightShape.visible = false;
  stepTwoHighlightShape.visible = false;
  stepThreeHighlightShape.visible = false;
  stepFourHighlightShape.visible = false;
  stepFiveHighlightShape.visible = false;
  stepSixHighlightShape.visible = false;
  stepSevenHighlightShape.visible = false;
}

function handleEightyButtonMouseOver(event){
  eightyButtonShape.graphics.beginFill("#ff9e35").beginStroke("#e17a0f").drawRoundRect(0,0,300,40,5);
  stepOneHighlightShape.visible = true;
  stepTwoHighlightShape.visible = true;
  stepThreeHighlightShape.visible = true;
  stepFourHighlightShape.visible = true;
  stepFiveHighlightShape.visible = true;
  stepSixHighlightShape.visible = true;
  stepSevenHighlightShape.visible = true;
  stepEightHighlightShape.visible = true;
}

function handleEightyButtonMouseOut(event){
  eightyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  stepOneHighlightShape.visible = false;
  stepTwoHighlightShape.visible = false;
  stepThreeHighlightShape.visible = false;
  stepFourHighlightShape.visible = false;
  stepFiveHighlightShape.visible = false;
  stepSixHighlightShape.visible = false;
  stepSevenHighlightShape.visible = false;
  stepEightHighlightShape.visible = false;
}


function handleNinetyButtonMouseOver(event){
  ninetyButtonShape.graphics.beginFill("#ff9e35").beginStroke("#e17a0f").drawRoundRect(0,0,300,40,5);
  stepOneHighlightShape.visible = true;
  stepTwoHighlightShape.visible = true;
  stepThreeHighlightShape.visible = true;
  stepFourHighlightShape.visible = true;
  stepFiveHighlightShape.visible = true;
  stepSixHighlightShape.visible = true;
  stepSevenHighlightShape.visible = true;
  stepEightHighlightShape.visible = true;
  stepNineHighlightShape.visible = true;
}

function handleNinetyButtonMouseOut(event){
  ninetyButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  stepOneHighlightShape.visible = false;
  stepTwoHighlightShape.visible = false;
  stepThreeHighlightShape.visible = false;
  stepFourHighlightShape.visible = false;
  stepFiveHighlightShape.visible = false;
  stepSixHighlightShape.visible = false;
  stepSevenHighlightShape.visible = false;
  stepEightHighlightShape.visible = false;
  stepNineHighlightShape.visible = false;
}

function handleHundredButtonMouseOver(event){
  hundredButtonShape.graphics.beginFill("#ff9e35").beginStroke("#e17a0f").drawRoundRect(0,0,300,40,5);
  stepOneHighlightShape.visible = true;
  stepTwoHighlightShape.visible = true;
  stepThreeHighlightShape.visible = true;
  stepFourHighlightShape.visible = true;
  stepFiveHighlightShape.visible = true;
  stepSixHighlightShape.visible = true;
  stepSevenHighlightShape.visible = true;
  stepEightHighlightShape.visible = true;
  stepNineHighlightShape.visible = true;
  stepTenHighlightShape.visible = true;
}

function handleHundredButtonMouseOut(event){
  hundredButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  stepOneHighlightShape.visible = false;
  stepTwoHighlightShape.visible = false;
  stepThreeHighlightShape.visible = false;
  stepFourHighlightShape.visible = false;
  stepFiveHighlightShape.visible = false;
  stepSixHighlightShape.visible = false;
  stepSevenHighlightShape.visible = false;
  stepEightHighlightShape.visible = false;
  stepNineHighlightShape.visible = false;
  stepTenHighlightShape.visible = false;
}

function handleHundredTenButtonMouseOver(event){
  hundredTenButtonShape.graphics.beginFill("#ff9e35").beginStroke("#e17a0f").drawRoundRect(0,0,300,40,5);
  stepOneHighlightShape.visible = true;
  stepTwoHighlightShape.visible = true;
  stepThreeHighlightShape.visible = true;
  stepFourHighlightShape.visible = true;
  stepFiveHighlightShape.visible = true;
  stepSixHighlightShape.visible = true;
  stepSevenHighlightShape.visible = true;
  stepEightHighlightShape.visible = true;
  stepNineHighlightShape.visible = true;
  stepTenHighlightShape.visible = true;
  stepElevenHighlightShape.visible = true;
}

function handleHundredTenButtonMouseOut(event){
  hundredTenButtonShape.graphics.beginFill("#494c53").beginStroke("#5f6064").drawRoundRect(0,0,300,40,5);
  stepOneHighlightShape.visible = false;
  stepTwoHighlightShape.visible = false;
  stepThreeHighlightShape.visible = false;
  stepFourHighlightShape.visible = false;
  stepFiveHighlightShape.visible = false;
  stepSixHighlightShape.visible = false;
  stepSevenHighlightShape.visible = false;
  stepEightHighlightShape.visible = false;
  stepNineHighlightShape.visible = false;
  stepTenHighlightShape.visible = false;
  stepElevenHighlightShape.visible = false;
}

